org.eclipse.microprofile.reactive.messaging.tck.channel.overflow

## Class BeanUsingLatestOverflowStrategy

- java.lang.Object
- - org.eclipse.microprofile.reactive.messaging.tck.channel.overflow.BeanUsingLatestOverflowStrategy

    @ApplicationScoped
    public class BeanUsingLatestOverflowStrategy
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`BeanUsingLatestOverflowStrategy()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<String>` `consume(org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<String> values)`
`void` `emitALotOfItems()`
`void` `emitThree()`
`Exception` `exception()`
`Throwable` `failure()`
`boolean` `isDone()`
`void` `out(String s)`
`List<String>` `output()`
`void` `terminate()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BeanUsingLatestOverflowStrategy

    public BeanUsingLatestOverflowStrategy()

### Method Detail

#### terminate

    @PreDestroy
    public void terminate()

#### isDone

    public boolean isDone()

#### output

    public List<String> output()

#### failure

    public Throwable failure()

#### exception

    public Exception exception()

#### emitThree

    public void emitThree()

#### emitALotOfItems

    public void emitALotOfItems()

#### consume

    public org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<String> consume(org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<String> values)

#### out

    public void out(String s)